# @HEADER
# ************************************************************************
#
#            TriBITS: Tribal Build, Integrate, and Test System
#                    Copyright 2013 Sandia Corporation
#
# Under the terms of Contract DE-AC04-94AL85000 with Sandia Corporation,
# the U.S. Government retains certain rights in this software.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
# 1. Redistributions of source code must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
# notice, this list of conditions and the following disclaimer in the
# documentation and/or other materials provided with the distribution.
#
# 3. Neither the name of the Corporation nor the names of the
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY SANDIA CORPORATION "AS IS" AND ANY
# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL SANDIA CORPORATION OR THE
# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# ************************************************************************
# @HEADER

##############################################################################
#
# CMake variable for use by Trilinos/SEACASMapvarlib clients.
#
# Do not edit: This file was generated automatically by CMake.
#
##############################################################################

if(CMAKE_VERSION VERSION_LESS 3.3)
  set(${CMAKE_FIND_PACKAGE_NAME}_NOT_FOUND_MESSAGE
    "SEACASMapvarlib requires CMake 3.3 or later for 'if (... IN_LIST ...)'"
    )
  set(${CMAKE_FIND_PACKAGE_NAME}_FOUND FALSE)
  return()
endif()
cmake_minimum_required(VERSION 3.3...3.23.0)

## ---------------------------------------------------------------------------
## Compilers used by Trilinos/SEACASMapvarlib build
## ---------------------------------------------------------------------------

set(SEACASMapvarlib_CXX_COMPILER "/opt/i686-linux-gnu/i686-linux-gnu/sys-root/usr/local/bin/mpicxx")

set(SEACASMapvarlib_C_COMPILER "/opt/i686-linux-gnu/i686-linux-gnu/sys-root/usr/local/bin/mpicc")

set(SEACASMapvarlib_Fortran_COMPILER "/opt/bin/i686-linux-gnu-libgfortran5-cxx03-mpi+mpitrampoline/i686-linux-gnu-gfortran")
# Deprecated!
set(SEACASMapvarlib_FORTRAN_COMPILER "/opt/bin/i686-linux-gnu-libgfortran5-cxx03-mpi+mpitrampoline/i686-linux-gnu-gfortran") 


## ---------------------------------------------------------------------------
## Compiler flags used by Trilinos/SEACASMapvarlib build
## ---------------------------------------------------------------------------

## Give the build type
set(SEACASMapvarlib_CMAKE_BUILD_TYPE "Release")

## Set compiler flags, including those determined by build type
set(SEACASMapvarlib_CXX_FLAGS [[ ]])

set(SEACASMapvarlib_C_FLAGS [[  -O3 -fPIC -D_GLIBCXX_HAVE_ALIGNED_ALLOC -fopenmp ]])

set(SEACASMapvarlib_Fortran_FLAGS [[ ]])
# Deprecated
set(SEACASMapvarlib_FORTRAN_FLAGS [[ ]])

## Extra link flags (e.g., specification of fortran libraries)
set(SEACASMapvarlib_EXTRA_LD_FLAGS [[]])

## This is the command-line entry used for setting rpaths. In a build
## with static libraries it will be empty.
set(SEACASMapvarlib_SHARED_LIB_RPATH_COMMAND "-Wl,-rpath,/workspace/destdir/lib")
set(SEACASMapvarlib_BUILD_SHARED_LIBS "ON")

set(SEACASMapvarlib_LINKER /opt/bin/i686-linux-gnu-libgfortran5-cxx03-mpi+mpitrampoline/i686-linux-gnu-ld)
set(SEACASMapvarlib_AR /opt/bin/i686-linux-gnu-libgfortran5-cxx03-mpi+mpitrampoline/i686-linux-gnu-ar)

## ---------------------------------------------------------------------------
## Set library specifications and paths
## ---------------------------------------------------------------------------

## Base install location (if not in the build tree)
set(SEACASMapvarlib_INSTALL_DIR "/workspace/destdir")

## List of package libraries
set(SEACASMapvarlib_LIBRARIES SEACASMapvarlib::all_libs)

## ---------------------------------------------------------------------------
## MPI specific variables
##   These variables are provided to make it easier to get the mpi libraries
##   and includes on systems that do not use the mpi wrappers for compiling
## ---------------------------------------------------------------------------

set(SEACASMapvarlib_MPI_LIBRARIES "")
set(SEACASMapvarlib_MPI_LIBRARY_DIRS "")
set(SEACASMapvarlib_MPI_INCLUDE_DIRS "")
set(SEACASMapvarlib_MPI_EXEC "/opt/i686-linux-gnu/i686-linux-gnu/sys-root/usr/local/bin/mpiexec")
set(SEACASMapvarlib_MPI_EXEC_MAX_NUMPROCS "4")
set(SEACASMapvarlib_MPI_EXEC_NUMPROCS_FLAG "-np")

## ---------------------------------------------------------------------------
## Set useful general variables
## ---------------------------------------------------------------------------

# Enables/Disables for upstream package dependencies
set(SEACASMapvarlib_ENABLE_SEACASSupes ON)
set(SEACASMapvarlib_ENABLE_SEACASSuplib ON)
set(SEACASMapvarlib_ENABLE_SEACASExodus_for ON)

# Exported cache variables
set(SEACAS_ENABLE_DEBUG "OFF")
set(HAVE_SEACAS_DEBUG "OFF")
set(SEACASExodus_ENABLE_THREADSAFE "OFF")
set(EXODUS_THREADSAFE "OFF")
set(SEACASExodus_ENABLE_STATIC "OFF")
set(EXODUS_STATIC "OFF")
set(SEACASExodus_ENABLE_SHARED "OFF")
set(EXODUS_SHARED "OFF")
set(SEACASIoss_ENABLE_THREADSAFE "OFF")
set(IOSS_THREADSAFE "OFF")

# Include configuration of dependent packages
if (NOT TARGET SEACASSupes::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../SEACASSupes/SEACASSupesConfig.cmake")
endif()
if (NOT TARGET SEACASSuplib::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../SEACASSuplib/SEACASSuplibConfig.cmake")
endif()
if (NOT TARGET SEACASExodus_for::all_libs)
  include("${CMAKE_CURRENT_LIST_DIR}/../SEACASExodus_for/SEACASExodus_forConfig.cmake")
endif()

# Import SEACASMapvarlib targets
include("${CMAKE_CURRENT_LIST_DIR}/SEACASMapvarlibTargets.cmake")

# Standard TriBITS-compliant external package variables
set(SEACASMapvarlib_IS_TRIBITS_COMPLIANT TRUE)
set(SEACASMapvarlib_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_LIST_FILE}")
set(SEACASMapvarlib_TRIBITS_COMPLIANT_PACKAGE_CONFIG_FILE_DIR "${CMAKE_CURRENT_LIST_DIR}")


## ----------------------------------------------------------------------------
## Create deprecated non-namespaced library targets for backwards compatibility
## ----------------------------------------------------------------------------

set(SEACASMapvarlib_EXPORTED_PACKAGE_LIBS_NAMES "mapvarlib")

foreach(libname IN LISTS SEACASMapvarlib_EXPORTED_PACKAGE_LIBS_NAMES)
  if (NOT TARGET ${libname})
    add_library(${libname} INTERFACE IMPORTED)
    target_link_libraries(${libname}
       INTERFACE SEACASMapvarlib::${libname})
    set(deprecationMessage
      "WARNING: The non-namespaced target '${libname}' is deprecated!"
      "  If always using newer versions of the project 'Trilinos', then use the"
      " new namespaced target 'SEACASMapvarlib::${libname}', or better yet,"
      " 'SEACASMapvarlib::all_libs' to be less sensitive to changes in the definition"
      " of targets in the package 'SEACASMapvarlib'.  Or, to maintain compatibility with"
      " older or newer versions the project 'Trilinos', instead link against the"
      " libraries specified by the variable 'SEACASMapvarlib_LIBRARIES'."
      )
    string(REPLACE ";" "" deprecationMessage "${deprecationMessage}")
    set_target_properties(${libname}
      PROPERTIES DEPRECATION "${deprecationMessage}" )
  endif()
endforeach()
